.\" $FreeBSD: src/sbin/i386/comcontrol/comcontrol.8,v 1.8.2.5 2000/05/04 16:56:37 phantom Exp $
.Dd May 15, 1994
.Dt COMCONTROL 8
.Os FreeBSD
.Sh NAME
.Nm comcontrol
.Nd control an sio device.
.Sh SYNOPSIS
.Nm comcontrol
.Ar sio_special_device
.Op options
.Sh DESCRIPTION
.Nm Comcontrol
is used to examine and modify some of the special characteristics
of the specified sio device.
If no arguments other than the device are specified,
it prints the settings of all controllable characteristics.
This usage requires only read access on the device.
Only the superuser can change the settings.
.Pp
The following options are available:
.Bl -tag -width indent
.It Cm dtrwait Ar number
Set the time to wait after dropping DTR
to the given number.
The units are hundredths of a second.
The default is 300 hundredths, i.e., 3 seconds.
This option needed mainly to set proper recover time after
modem reset.
.It Cm drainwait Ar number
Set the time to wait for output drain
to the given number.
The units are seconds.
The default is 0, i.e. wait forever.
This option needed mainly to specify upper limit of minutes
to prevent modem hanging.
.El
.Pp
The standard way to use
.Nm
is to put invocations of it in the
.Pa /etc/rc.serial
startup script.
.Sh SEE ALSO
.Xr stty 1 ,
.Xr sio 4
.Sh FILES
.Bl -tag -width /dev/ttyd? -compact
.It Pa /dev/ttyd?
dialin devices, hardwired terminals
.It Pa /dev/cuaa?
dialout devices
.Sh AUTHORS
.An Christopher G. Demetriou
.Sh HISTORY
Originally part of cgd's com package patches, version 0.2.1, to 386BSD 0.1.
Once controlled bidirectional capabilities.  Little is left to control now
that these capabilities are standard.
